# Kaggle-Titanic-Machine-Learning-from-Disaster
[Competition Link](https://www.kaggle.com/c/titanic)

# Competition Description
The sinking of the RMS Titanic is one of the most infamous shipwrecks in history.  On April 15, 1912, during her maiden voyage, the Titanic sank after colliding with an iceberg, killing 1502 out of 2224 passengers and crew. This sensational tragedy shocked the international community and led to better safety regulations for ships.

One of the reasons that the shipwreck led to such loss of life was that there were not enough lifeboats for the passengers and crew. Although there was some element of luck involved in surviving the sinking, some groups of people were more likely to survive than others, such as women, children, and the upper-class.

In this challenge, we ask you to complete the analysis of what sorts of people were likely to survive. In particular, we ask you to apply the tools of machine learning to predict which passengers survived the tragedy.

# Practice Skills
- Binary classification
- Python and R basics

# Evaluation
**Goal:**

It is your job to predict if a passenger survived the sinking of the Titanic or not. 
For each PassengerId in the test set, you must predict a 0 or 1 value for the Survived variable.

**Metric:**

Your score is the percentage of passengers you correctly predict. This is known simply as "accuracy”.

**Submission File Format:**

You should submit a csv file with exactly 418 entries plus a header row. Your submission will show an error if you have extra columns (beyond PassengerId and Survived) or rows.

**The file should have exactly 2 columns:**

- PassengerId (sorted in any order)
- Survived (contains your binary predictions: 1 for survived, 0 for deceased)
```
PassengerId,Survived
 892,0
 893,1
 894,0
 Etc.

```


# [DataSet](https://www.kaggle.com/c/titanic/data)
